11/01/2013 03:36 PM - Zbigniew Rebacz

Status: Rejected Start date: 11/01/2013
Priority: Low Due date:

Assignee: % Done: 100%
Category: CtrlLib Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

In my opinion we should remove following part from the RichTextView::LeftDouble(Point p, dword keyflags):

while(cursor + 1 < text.GetLength() && text[cursor] =="")
CUrsSOr++;

, because above code contributes to marking white spaces.
The final form of the function is as follows:

void RichTextView::LeftDouble(Point p, dword keyflags)
{
int pos = GetPointPos(p);
if(IsLeNum(text[pos])) {
anchor = pos;
while(anchor > 0 && IsLeNum(text[anchor - 1]))
anchor--;
Cursor = pos;
while(cursor + 1 < text.GetLength() && IsLeNum(text[cursor]))
CUrSOr++;
RefreshSel();
SetFocus();

Moreover, | enclose improved source file.

History

#1 - 11/02/2013 03:25 AM - Zbigniew Rebacz
- File deleted (RichTextView.cpp)

#2 - 11/02/2013 04:46 PM - Zbigniew Rebacz

Improved source file can be found on following website: http://www.ultimatepp.org/redmine/issues/560.

#3 - 11/06/2013 09:01 AM - Miroslav Fidler
- Status changed from Ready for QA to New
http://www.ultimatepp.org/redmine/issues/560

I not quite sure about this. Adding that space has some merits in RichEdit, e.g. you can easily move words using drag&drop.
Interestingly, Microsoft editors select the additional space, OpenOffice does not. | would prefer M$ approach here.
RichTextView should IMO stay consistent with RichEdit.

#4 - 11/06/2013 04:21 PM - Zbigniew Rebacz

- Status changed from New to Rejected

- Assignee deleted (Zbigniew Rebacz)

#5 - 11/07/2013 09:27 PM - Zbigniew Rebacz

You are right Mirek.
